​
Select Service
ves-io-schema-discovery-API-Get
Published April 5, 2023 | Last modified September 15, 2026
Examples of getting discovery
Usecase:
Get k8s-discovery discovery object from system namespace
Request using vesctl:
vesctl configuration get discovery k8s-discovery --namespace system
vesctl yaml response:
deletedReferredObjects: []disabledReferredObjects: []metadata: annotations: {} labels: {} name: k8s-discovery namespace: systemreferringObjects: []resourceVersion: "937"spec: discoveryK8s: accessInfo: isolated: {} kubeconfigUrl: {} publishInfo: dnsDelegation: subdomain: internal.bookinfo.com noClusterId: {} where: virtualSite: disableInternetVip: {} ref: - kind: virtual_site name: acmecorp-vsite namespace: system tenant: acmecorp refs: []status: []systemMetadata: creationTimestamp: "2026-06-19T22:02:53.991930Z" creatorClass: examplesvc creatorId: examplesvc finalizers: [] labels: {} tenant: acmecorp uid: 128c0928-86de-4921-a706-1ff2fcd0c5a4Request using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1655461974_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/system/discoverys/k8s-discovery?response_format=0'curl response:
HTTP/1.1 200 OKContent-Type: application/jsonDate: Fri, 19 Jun 2026 22:02:53 GMTVary: Accept-EncodingX-Volterra-Response-Fields-Deprecated: create_form.spec.discovery_cbip.cbip_clusters.#.cbip_devices.#,create_form.spec.discovery_cbip.cbip_clusters.#.virtual_server_filter.protocols.#,create_form.spec.discovery_cbip.internal_lb_domain,create_form.spec.discovery_consul.namespace_mapping,replace_form.spec.discovery_cbip.cbip_clusters.#.cbip_devices.#,replace_form.spec.discovery_cbip.cbip_clusters.#.virtual_server_filter.protocols.#,replace_form.spec.discovery_cbip.internal_lb_domain,replace_form.spec.discovery_consul.namespace_mapping,spec.discovery_cbip.cbip_clusters.#.cbip_devices.#,spec.discovery_cbip.cbip_clusters.#.virtual_server_filter.protocols.#,spec.discovery_cbip.internal_lb_domain,spec.discovery_consul.namespace_mapping,status.#.cbip_clusters_status.#.devices_status.#.condition,status.#.cbip_status
{ "create_form": null, "replace_form": null, "resource_version": "937", "metadata": { "name": "k8s-discovery", "namespace": "system", "labels": { }, "annotations": { }, "description": "", "disable": false }, "system_metadata": { "uid": "128c0928-86de-4921-a706-1ff2fcd0c5a4", "creation_timestamp": "2026-06-19T22:02:53.991930Z", "deletion_timestamp": null, "modification_timestamp": null, "initializers": null, "finalizers": [ ], "tenant": "acmecorp", "creator_class": "examplesvc", "creator_id": "examplesvc", "object_index": 0, "owner_view": null, "labels": { } }, "spec": { "where": { "virtual_site": { "ref": [ { "kind": "virtual_site", "uid": "", "tenant": "acmecorp", "namespace": "system", "name": "acmecorp-vsite" } ], "network_type": "VIRTUAL_NETWORK_SITE_LOCAL", "disable_internet_vip": {
}, "refs": [ ] } }, "type": "INVALID_DISCOVERY", "publish_vip": null, "discovery_k8s": { "access_info": { "kubeconfig_url": { "blindfold_secret_info_internal": null, "secret_encoding_type": "EncodingNone" }, "isolated": {
} }, "publish_info": { "dns_delegation": { "subdomain": "internal.bookinfo.com", "dns_mode": "CORE_DNS" } } }, "no_cluster_id": {
} }, "status": [ ], "referring_objects": [ ], "deleted_referred_objects": [ ], "disabled_referred_objects": [ ]}